// Classe VPontos
// Implementa um vetor de objetos Ponto, com memria alocada dinamicamente
// (pode crescer).

import java.util.Vector; // delega tudo para Vector

public class VPontos {

  Vector V;

  // Cria um vetor de pontos vazio
  VPontos() {
    V = new Vector();
  }
  // Cria um vetor de pontos vazio, com 'n' posies alocadas previamente.
  VPontos(int n) {
    V = new Vector(n);
  }

  // Devolve o nmero de elementos do vetor.
  public int size() {
    return V.size();
  }

  // Insere 'a' no final do vetor.
  public void addElement(Ponto a) {
    if (!V.contains(a))
      V.addElement(a);
  }

  // Devolve o elemento da posio 'i'.
  public Ponto elementAt(int i) {
    try {
      return (Ponto)V.elementAt(i);
    }
    catch (ArrayIndexOutOfBoundsException aioobe) {
      return null;
    }
  }

  // Devolve true se o vetor contm 'a', false caso contrrio.
  public boolean contains(Ponto a) {
    return V.contains(a);
  }
  
  // Faz a Ponto da posio 'i' ser 'p'.
  public void setElementAt(Ponto p, int i) {
    V.setElementAt(p, i);
  }

  // Devolve o ndice da primeira ocorrncia de p.
  public int indexOf(Ponto p) {
    return V.indexOf(p);
  }

}