// Classe VArestas
// Implementa um vetor de objetos Aresta, com memria alocada dinamicamente
// (pode crescer).

import java.util.Vector; // delega tudo para Vector

public class VArestas {

  Vector V; 

  // Cria um vetor de arestas vazio
  VArestas() {
    V = new Vector();
  }
  // Cria um vetor de arestas vazio, com 'n' posies alocadas previamente.
  VArestas(int n) {
    V = new Vector(n);
  }

  // Devolve o nmero de elementos do vetor.
  public int size() {
    return V.size();
  }

  // Insere 'a' no final do vetor.
  public void addElement(Aresta a) {
    if (!V.contains(a))
      V.addElement(a);
  }

  // Devolve o elemento da posio 'i'.
  public Aresta elementAt(int i) {
    try {
      return (Aresta)V.elementAt(i);
    }
    catch (ArrayIndexOutOfBoundsException aioobe) {
      return null;
    }
  }

  // Devolve true se o vetor contm 'a', false caso contrrio.
  public boolean contains(Aresta a) {
    return V.contains(a);
  }

  // Faz a Aresta da posio 'i' ser 'a'.
  public void setElementAt(Aresta a, int i) {
    V.setElementAt(a, i);
  }
  
  // Devolve o ndice da primeira ocorrncia de a.
  public int indexOf(Aresta a) {
    return V.indexOf(a);
  }

  // Remove o elemento da posio 'i'.
  public void removeElementAt(int i) {
    V.removeElementAt(i);
  }
}